Contents

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Gatiin gatii qabeenya jalqabaa murteessa.

Salveejiin gatii qabeenyaa dhuma jireenya isaa irrati murteessa.

Jiruun lakkoofsa yeroo qabeenyi yeroo hammamiif akka fayyadamamuu qabu ibsudha.

Yeroon turtii yeroo kan gatiin shallagamuuf ibsa.

Hirmaataan (dirqalee) hirmaataa dippirisheeshiniin ittiin hir'atudha.Yoo gatiin hin seenne ta'e, durtiin hirmaataa 2 dha.

Gatii dippirisheeshinii jalqabaa olaanaa faallaa dippirisheeshinii liinarii ta'e yoo barbaadde unka kana fayyadami. Tokko tokkoo yerootti gatiin dippirisheeshinii hir'achaa deema dabalataanis bittaa booda qabeenyota kasaaraan gatii isaanii guddaa ta'eef (fakkeenyaaf, konkolaattota,kompiiyuutaroota) yeroo hunda fayyada.Maaloo gosa shallagii kana jalatti gatiin buukii gonkuma akka zeeroo hin taane hubadhu.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Matadureewwan Walfakkatan

DDB function in CALC

VBA financial functions